import axios from './api.config'
import qs from 'qs'

// 添加订单
export const addOrder = (data) => {
  return axios.request({
    url: 'addorder',
    data: qs.stringify(data, { arrayFormat: 'brackets' })
  })
}
// 获取所有公寓信息
export const getAllFlats = () => {
  return axios.request({
    url: 'getallflats',
  })
}
// 获取所有价格信息
export const getPriceList = () => {
  return axios.request({
    url: 'getpricelist'
  })
}
// 获取所有自己的订单列表信息
export const getSelfOrderLst = (data) => {
  return axios.request({
    url: 'getselforderlist',
    data: qs.stringify(data, { arrayFormat: 'brackets' })
  })
}
// 快递员获取所有订单
export const getCourierLst = (data) => {
  return axios.request({
    url: 'couriergetalllist',
    data: qs.stringify(data, { arrayFormat: 'brackets' })
  })
}

// 获取所有公寓信息
export const getTack = (data) => {
  return axios.request({
    url: 'gettack',
    data: qs.stringify(data, { arrayFormat: 'brackets' })
  })
}
// 获取所有公寓信息
export const cancelO = (data) => {
  return axios.request({
    url: 'cancel',
    data: qs.stringify(data, { arrayFormat: 'brackets' })
  })
}
// 获取所有公寓信息
export const courierGetSelfList = (data) => {
  return axios.request({
    url: 'couriergetselflist',
    data: qs.stringify(data, { arrayFormat: 'brackets' })
  })
}
// 改变订单
export const delivery = (data) => {
  return axios.request({
    url: 'delivery',
    data: qs.stringify(data, { arrayFormat: 'brackets' })
  })
}

// 获取所有公寓信息
export const charge = (data) => {
  return axios.request({
    url: 'charge',
    data: qs.stringify(data, { arrayFormat: 'brackets' })
  })
}

export const adminGetAllOrder = (data) =>{
  return axios.request({
    url: 'admingetorderlist',
    data: qs.stringify(data, { arrayFormat: 'brackets' })
  })
}
